View Issue Details

IDProjectCategoryView StatusLast Update
0001925Industrial-Craft²general / otherpublic2016-07-29 16:48
ReporteroitsjustjoseAssigned ToAroma1997 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0001925: IC2 2.6.10 Ore Dictionary ItemStack Issue
DescriptionThe bug can be seen in the attached image, but it seems as though IC2 is causing a bug with all OreDictionary entries, making it so the recipes appear to require 9 (due to MC's Crafting nature, it doesn't actually have to be 9, but this causes JEI and RefinedStorage issues).
Steps To Reproduce1. Install IC2 with another mod using OreDict Copper/Tin/Bronze/Lead/Steel/etc
2. View a recipe that requires one of these materials

FURTHER BUGS:

If Refined Storage is installed, using JEI's '+' feature to shift itemstacks into the crafting grid causes them all to fill with 9 of the item - even if I didn't have enough to fill up to 9 to begin with, causing a duplication bug.
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

has duplicate 0001930 resolvedPlayer IC2 duplicates buckets of enderio Reservoir 
has duplicate 0001944 closedAroma1997 IC2 Ore Dictionary Causing Bucket Duplication 

Activities

oitsjustjose

2016-07-12 17:03

reporter  

CnKQmSfVMAAlCo6.jpg (19,194 bytes)
CnKQmSfVMAAlCo6.jpg (19,194 bytes)

Aroma1997

2016-07-16 18:39

developer   ~0004625

Could you please clarify, what bug you mean exactly and how to reproduce it? It is quite unclear from your previous description.

oitsjustjose

2016-07-16 18:54

reporter   ~0004626

Last edited: 2016-07-16 18:56

View 2 revisions

Here, let me try to help - it looks like it's a error in IC2's registration of some items into the Ore Dictionary and Fluid Registry, but here's what I've got:

With IC2:

http://puu.sh/q3QQx/a2bb9ec2f8.png
http://puu.sh/q3QPe/cd65114e5b.png
http://puu.sh/q3QVm/c4fefe1652.png (notice the fluid did NOT drain)
http://puu.sh/q3QVO/ea61251757.png (same fluid tank after re-opening the GUI)

Without IC2:

http://puu.sh/q3R25/0561dbcc05.png
http://puu.sh/q3R2I/7cdb07d25f.png
http://puu.sh/q3QZY/ab7f497511.png

To reproduce: really just install any mod using the Fluid Registry or Ore Dictionary entries also added by IC2, alongside any IC2 version for 1.10.2, you'll see this same bug. The JEI issue causes other mod compatibility dupe glitches with the '+' feature, and the fluid issue makes EnderIO tank automation unusable now.

oitsjustjose

2016-07-22 19:38

reporter   ~0004638

Last edited: 2016-07-22 19:38

View 2 revisions

Hey, did some research today and traced it down to the 1.9.4 build # 56 causing the break. According to the Jenkins, all the files changed look to be JEI based, but I've tried several builds BEFORE and AFTER # 56 - all after had the bug, all before did not :)

Player

2016-07-25 09:45

administrator   ~0004641

This should be fixed in the 1.10 branch.

Issue History

Date Modified Username Field Change
2016-07-12 17:03 oitsjustjose New Issue
2016-07-12 17:03 oitsjustjose File Added: CnKQmSfVMAAlCo6.jpg
2016-07-16 18:39 Aroma1997 Note Added: 0004625
2016-07-16 18:39 Aroma1997 Assigned To => Aroma1997
2016-07-16 18:39 Aroma1997 Status new => feedback
2016-07-16 18:54 oitsjustjose Note Added: 0004626
2016-07-16 18:54 oitsjustjose Status feedback => assigned
2016-07-16 18:56 oitsjustjose Note Edited: 0004626 View Revisions
2016-07-22 19:38 oitsjustjose Note Added: 0004638
2016-07-22 19:38 oitsjustjose Note Edited: 0004638 View Revisions
2016-07-22 21:31 Chocohead Relationship added has duplicate 0001930
2016-07-25 09:45 Player Note Added: 0004641
2016-07-25 09:45 Player Status assigned => resolved
2016-07-25 09:45 Player Fixed in Version => Builds for MC 1.10.x
2016-07-25 09:45 Player Resolution open => fixed
2016-07-29 16:48 Chocohead Relationship added has duplicate 0001944